Skip to main content
PATCH
/
{team_id}
/
comments
/
{comment_id}
Update an existing comment.
curl --request PATCH \
  --url https://api.superthread.com/v1/{team_id}/comments/{comment_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": "Sounds great!",
  "content_format": "html",
  "schema": 1,
  "context": "new highlighted text"
}
'
import requests

url = "https://api.superthread.com/v1/{team_id}/comments/{comment_id}"

payload = {
    "content": "Sounds great!",
    "content_format": "html",
    "schema": 1,
    "context": "new highlighted text"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    content: 'Sounds great!',
    content_format: 'html',
    schema: 1,
    context: 'new highlighted text'
  })
};

fetch('https://api.superthread.com/v1/{team_id}/comments/{comment_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "comment": {
    "id": "42",
    "content": "Good point!",
    "is_internal": true,
    "schema": 1,
    "page_id": "431",
    "card_id": "433",
    "user_id": "u-dsu0j19",
    "user": {
      "user_id": "uDsu0j19",
      "type": "user",
      "source": {
        "type": "oauth",
        "client_id": "oczapier",
        "import_id": "bf1b9f76-3f95-42fc-bd7f-050b2f5f4197",
        "agent_id": "bf1b9f76-3f95-42fc-bd7f-050b2f5f4197",
        "email_addr": "somebody@example.com",
        "email_verified": false,
        "on_behalf_of": "<string>"
      }
    },
    "user_updated": {
      "user_id": "uDsu0j19",
      "type": "user",
      "source": {
        "type": "oauth",
        "client_id": "oczapier",
        "import_id": "bf1b9f76-3f95-42fc-bd7f-050b2f5f4197",
        "agent_id": "bf1b9f76-3f95-42fc-bd7f-050b2f5f4197",
        "email_addr": "somebody@example.com",
        "email_verified": false,
        "on_behalf_of": "<string>"
      }
    },
    "team_id": "u-dsu0j19",
    "time_created": 1608742037016,
    "time_updated": 1608742037016,
    "reactions": [
      {
        "id": "sweat_smile",
        "unicode": "<string>",
        "members": [
          {
            "user_id": "<string>",
            "time_created": 1608742037016,
            "variation": "<string>"
          }
        ]
      }
    ],
    "health_update_metadata": {
      "previous": "on_track",
      "new": "on_track",
      "time": 1608742037016
    },
    "context": "attach context to a comment",
    "participants": [
      "<string>"
    ],
    "children": {
      "cursor": "dmsjqh9d8w1hdjosjaasda",
      "count": 14,
      "child_comments": [
        {
          "id": "42",
          "content": "Good point!",
          "is_internal": true,
          "schema": 1,
          "page_id": "431",
          "card_id": "433",
          "user_id": "u-dsu0j19",
          "user": {
            "user_id": "uDsu0j19",
            "type": "user",
            "source": {
              "type": "oauth",
              "client_id": "oczapier",
              "import_id": "bf1b9f76-3f95-42fc-bd7f-050b2f5f4197",
              "agent_id": "bf1b9f76-3f95-42fc-bd7f-050b2f5f4197",
              "email_addr": "somebody@example.com",
              "email_verified": false,
              "on_behalf_of": "<string>"
            }
          },
          "user_updated": {
            "user_id": "uDsu0j19",
            "type": "user",
            "source": {
              "type": "oauth",
              "client_id": "oczapier",
              "import_id": "bf1b9f76-3f95-42fc-bd7f-050b2f5f4197",
              "agent_id": "bf1b9f76-3f95-42fc-bd7f-050b2f5f4197",
              "email_addr": "somebody@example.com",
              "email_verified": false,
              "on_behalf_of": "<string>"
            }
          },
          "team_id": "u-dsu0j19",
          "time_created": 1608742037016,
          "time_updated": 1608742037016,
          "reactions": [
            {
              "id": "sweat_smile",
              "unicode": "<string>",
              "members": [
                {
                  "user_id": "<string>",
                  "time_created": 1608742037016,
                  "variation": "<string>"
                }
              ]
            }
          ],
          "health_update_metadata": {
            "previous": "on_track",
            "new": "on_track",
            "time": 1608742037016
          },
          "parent_id": "1"
        }
      ]
    }
  }
}
{
  "error": {
    "id": "err5f744ab",
    "code": 403,
    "sec": "SEC:000-00014",
    "message": "You do not have access to this resource",
    "date": 1608742037016
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required

Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".

comment_id
string
required

Comment ID is a numerical string that identifies a Comment.

Body

application/json

Comment fields that need to be updated. All omitted fields are left unmodified.

content
string | null
Maximum string length: 102400
Example:

"Sounds great!"

content_format
enum<string>
default:html

Format of the content field. When set to 'markdown', the server converts the content from GitHub Flavored Markdown to HTML before storage. Defaults to 'html'.

Available options:
html,
markdown
schema
integer | null
Example:

1

context
string | null
Example:

"new highlighted text"

status
enum<string> | null
Available options:
resolved,
open,
orphaned
health_update
object

Metadata about a health status update

Response

updated comment response

comment
object